Package com.collabnet.ce.soap60.webservices.monitoring

# Class MonitoringUserSoapRow

java.lang.Object
com.collabnet.ce.soap60.webservices.monitoring.MonitoringUserSoapRow

public class MonitoringUserSoapRow extends Object
MonitoringUserSoapList is used to get a list of monitoring users..

Since:
  16.3

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MonitoringUserSoapRow()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEmail()`
  Returns 'email'.
  `String`
  `getFullName()`
  Returns 'fullName'.
  `String`
  `getUserName()`
  Returns 'userName'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setEmail(String email)`
  Sets 'email'.
  `void`
  `setFullName(String fullName)`
  Sets 'fullName'.
  `void`
  `setUserName(String userName)`
  Sets 'userName'.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MonitoringUserSoapRow

    public MonitoringUserSoapRow()

- ## Method Details

  - ### getUserName

    public String getUserName()
    Returns 'userName'. The username of the user
    Returns:
      Value of 'userName'.

  - ### setUserName

    public void setUserName(String userName)
    Sets 'userName'. The username of the user
    Parameters:
      `userName` - Value of 'userName'.

  - ### getFullName

    public String getFullName()
    Returns 'fullName'. The full name of the user
    Returns:
      Value of 'fullName'.

  - ### setFullName

    public void setFullName(String fullName)
    Sets 'fullName'. The full name of the user
    Parameters:
      `fullName` - Value of 'fullName'.

  - ### getEmail

    public String getEmail()
    Returns 'email'. The email address of the user
    Returns:
      Value of 'email'.

  - ### setEmail

    public void setEmail(String email)
    Sets 'email'. The email address of the user
    Parameters:
      `email` - Value of 'email'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)